package com.book.server.controller;

import com.book.dao.VO.LoginVO;
import com.book.server.common.entity.Result;
import com.book.server.service.LoginService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpSession;

/**
 * 登录
 */
@RestController
@Slf4j
@RequestMapping("/api/login")
public class LoginController extends BaseController {

    @Autowired
    private LoginService loginService;

    @PostMapping("/login")
    public Result login(@RequestBody LoginVO loginVO, HttpSession session) {
        boolean login = loginService.login(loginVO);
        if (login) {
            session.setAttribute("login", true);
            return Result.success();
        } else {
            return Result.failure();
        }
    }

}
